# REST API

EqualTo Sheets provides a variety of REST APIs:

* [Authentication](/rest-api/authentication.md): how to use your EqualTo Sheets license key to authenticate your REST calls
* [Reading / updating a workbook](/rest-api/reading-updating-a-workbook.md): how to read / update workbooks, sheets and cells
* [Creating / uploading a workbook](/rest-api/creating-uploading-a-workbook.md): how to create new workbooks
* [Simulation API](/rest-api/simulation-api.md): how to run "what-if" scenarios in an EqualTo workbook

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.equalto.com/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
